cdac.medinfo.sdk.hl7282.baselibs

## Class WVS

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.WVS

- All Implemented Interfaces:
    IDataType

      public class WVS
      extends CompositeDataType

  WVS - Waveform source

  This data type identifies the source of the waveform connected to a channel.

  Represents an HL7 WVS data type. This data type has the following attributes:

  1. Source One Name (ST)Required
  2. Source Two Name (ST)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `HL7_WVS_SOURCE_ONE_NAME` Constant declared for Source One Name
    `static int` | `HL7_WVS_SOURCE_TWO_NAME` Constant declared for Source Two Name

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WVS()` Default Constructor for WVS
    `WVS(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for WVS class which takes two arguments and sets the value in the respective member variable.
    `WVS(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for WVS class which takes five arguments and sets the value in the respective member variable.
    `WVS(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for WVS class which takes six arguments and sets the value in the respective member variable.
    `WVS(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for WVS class which takes four arguments and sets the value in the respective member variable.
    `WVS(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for WVS class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `ST` | `getSourceOneName()` Returns Source One Name
    `ST` | `getSourceTwoName()` Returns Source Two Name
    `void` | `setSourceOneName(ST objST)` Sets the SourceOneName.
    `void` | `setSourceOneName(java.lang.String strSourceOneName)` Sets the SourceOneName.
    `void` | `setSourceTwoName(ST objST)` Sets the SourceTwoName.
    `void` | `setSourceTwoName(java.lang.String strSourceTwoName)` Sets the SourceTwoName.
    `boolean` | `validate()` The Method validates the Input value,and if validated properly then returns true.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HL7_WVS_SOURCE_ONE_NAME

          public static final int HL7_WVS_SOURCE_ONE_NAME

      Constant declared for Source One Name
      See Also:
        Constant Field Values

    - #### HL7_WVS_SOURCE_TWO_NAME

          public static final int HL7_WVS_SOURCE_TWO_NAME

      Constant declared for Source Two Name
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WVS

          public WVS()

      Default Constructor for WVS

    - #### WVS

          public WVS(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for WVS class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMaxLength` - - The Maximum length the DataType can have.
        `iComponentType` - - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### WVS

          public WVS(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iTableNo,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for WVS class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### WVS

          public WVS(int iComponentType,
             IDataTypeMap objIDataTypeMap)

      Constructor for WVS class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### WVS

          public WVS(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             IDataTypeMap objIDataTypeMap)

      Constructor for WVS class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### WVS

          public WVS(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int ITableNo,
             IDataTypeMap objIDataTypeMap)

      Constructor for WVS class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setSourceOneName

          public void setSourceOneName(java.lang.String strSourceOneName)

      Sets the SourceOneName.
      Parameters:
        `strSourceOneName` - identifies the first input for the waveform source.

    - #### setSourceOneName

          public void setSourceOneName(ST objST)

      Sets the SourceOneName.
      Parameters:
        `objST` - identifies the first input for the waveform source.

    - #### setSourceTwoName

          public void setSourceTwoName(java.lang.String strSourceTwoName)

      Sets the SourceTwoName.
      Parameters:
        `strSourceTwoName` - identifies the second input for the waveform source if a differential input is used.

    - #### setSourceTwoName

          public void setSourceTwoName(ST objST)

      Sets the SourceTwoName.
      Parameters:
        `objST` - identifies the second input for the waveform source if a differential input is used.

    - #### getSourceOneName

          public ST getSourceOneName()

      Returns Source One Name
      Returns:
        ST - data type.

    - #### getSourceTwoName

          public ST getSourceTwoName()

      Returns Source Two Name
      Returns:
        ST - data type.

    - #### validate

          public boolean validate()
                           throws InvalidDataTypeException

      The Method validates the Input value,and if validated properly then returns true. Here the validation is based on the compulsory fields for the Datatype.
      Specified by:
        `validate` in interface `IDataType`
      Overrides:
        `validate` in class `CompositeDataType`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidDataTypeException` - - if Invalid values is entered or Mandatory field is missing.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.